body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
}

h1 {
    text-align: center;
    margin-bottom: 20px;
}

.container {
    display: flex;
    flex-direction: column;
    align-items: center;
    align-self: center;
    width: 100%;
    min-height: 800px;
    gap: 10px;
    margin-top: 20px;
}

.input-container {
    display: flex;
    flex-direction: row;
    width: 100%;
    justify-content: center;
    margin-bottom: 10px;
}

.textarea {
    flex: 1;
    min-width: 0;
    /* Allow shrinking beyond initial width */
    width: 100%;
    /* Take up all available space */
    height: 400px;
    /* Set initial height */
    min-width: 100px;
    margin-right: 10px;
    margin-left: 10px;
    padding:5px;
    font-size: large;
}

.mid-button-container {
    display: flex;
    justify-content: space-around;
    flex-direction: column;
    align-items: center;
    margin-right: 10px;
    margin-left: 10px;
}

.button-container {
    display: flex;
    justify-content: space-around;
    margin-bottom: 10px;
    width: 100%;
    flex-direction: row;
}

.table-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 10px;
}

.explain-container {
    display: flex;
    flex-direction: row;
    align-items: center;
    margin-bottom: 10px;
}

.explain-container-c{
    display: flex;
    flex-direction: column;
    margin-bottom: 10px;
}

button {
    padding: 10px 20px;
    background-color: #4CAF50;
    color: white;
    border: none;
    cursor: pointer;
    max-height: 60px;
}

button:hover {
    background-color: #45a049;
}

#dropArea {
    border: 2px dashed #ccc;
    padding: 20px;
    text-align: center;
}

/* Highlight style for the drop area */
#dropArea.highlight {
    background-color: #f0f0f0;
}

.instruction {
    margin-bottom: 5px;
}

/* DEBUGGER SPECIFIC STYLES */

.debugger-button {
    box-sizing: border-box;
    padding: 1px 5px;
    padding-bottom: 3px;
    background-color: #00a6ed;
    border-radius: 5px;

    font-size: larger;
}

#debugger {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 20px;

    border: 2px dashed green;
    flex-grow: 0;
    height: fit-content;
    padding: 10px 20px;
}

#debugger h2 {
    display: block;
    width: fit-content;
    margin: 10px auto;
}

.debugger-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;

}

.debugger-buttons {
    display: flex;
    flex-direction: row;
    gap: 10px;

}

.debugger-button:hover {
    background-color: #0096d6;
}

.debugger-button:active {
    background-color: #0077a3;
}

.debugger-button:disabled {
    background-color: #82c9e8;
    cursor: not-allowed;
}

.debugger-info {
    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 5px;

    width: 100%;
}

.debugger-info p {
    margin: 0;
}

.sim-buttons {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
}

.sim-buttons button {
    flex-shrink: 0;
    height: 100%;
}

#start-debug {
    box-sizing: border-box;
    height: fit-content;

    padding: 8px 6px;
    border-radius: 5px;
    background-color: red;
    font-size: .64rem;
    font-weight: bold;
}

#start-debug:hover {
    background-color: #ee0000;
}

#start-debug:active {
    background-color: #cc0000;
}

#debugger.hidden {
    display: none;
}

.textarea.single-line {
    height: 30px; /* Adjust the height as needed */
    width: 250px;
    overflow-y: hidden;
    resize: none; /* Disable textarea resizing */
    justify-content: center;
    align-items: center;
    padding-right: 5px;
    padding-left: 5px;
    padding-top: 2px;
}

.action-button {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: 10px;
    color: white;
    border: none;
    cursor: pointer;
  }
  
  .action-button:hover {
    background-color: #0056b3;
  }
  
  #instruction-explanation {
    display: none; /* Hide by default */
  }

  .mips-table {
    width: 100%; /* Adjust the width as necessary */
    border-collapse: collapse; /* Collapse the borders */
  }
  
  .mips-table th, .mips-table td {
    border: 1px solid black; /* Add a solid border */
    text-align: center;
    padding: 8px; /* Adjust padding as necessary */
  }
  
  .mips-table th {
    background-color: #f2f2f2; /* A light grey background for header cells */
  }